'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _itemTypeToComponent;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactUltimatePagination = require('react-ultimate-pagination');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var activePageStyle = { fontWeight: 'bold' };

var Page = function Page(_ref) {
  var value = _ref.value,
      isActive = _ref.isActive,
      onClick = _ref.onClick;
  return _react2.default.createElement(
    'button',
    { style: isActive ? activePageStyle : null, onClick: onClick },
    value
  );
};

var Ellipsis = function Ellipsis(_ref2) {
  var onClick = _ref2.onClick;
  return _react2.default.createElement(
    'button',
    { onClick: onClick },
    '...'
  );
};

var FirstPageLink = function FirstPageLink(_ref3) {
  var isActive = _ref3.isActive,
      onClick = _ref3.onClick;
  return _react2.default.createElement(
    'button',
    { onClick: onClick },
    'First'
  );
};

var PreviousPageLink = function PreviousPageLink(_ref4) {
  var isActive = _ref4.isActive,
      onClick = _ref4.onClick;
  return _react2.default.createElement(
    'button',
    { onClick: onClick },
    'Prev'
  );
};

var NextPageLink = function NextPageLink(_ref5) {
  var isActive = _ref5.isActive,
      onClick = _ref5.onClick;
  return _react2.default.createElement(
    'button',
    { onClick: onClick },
    'Next'
  );
};

var LastPageLink = function LastPageLink(_ref6) {
  var isActive = _ref6.isActive,
      onClick = _ref6.onClick;
  return _react2.default.createElement(
    'button',
    { onClick: onClick },
    'Last'
  );
};

var itemTypeToComponent = (_itemTypeToComponent = {}, _defineProperty(_itemTypeToComponent, _reactUltimatePagination.ITEM_TYPES.PAGE, Page), _defineProperty(_itemTypeToComponent, _reactUltimatePagination.ITEM_TYPES.ELLIPSIS, Ellipsis), _defineProperty(_itemTypeToComponent, _reactUltimatePagination.ITEM_TYPES.FIRST_PAGE_LINK, FirstPageLink), _defineProperty(_itemTypeToComponent, _reactUltimatePagination.ITEM_TYPES.PREVIOUS_PAGE_LINK, PreviousPageLink), _defineProperty(_itemTypeToComponent, _reactUltimatePagination.ITEM_TYPES.NEXT_PAGE_LINK, NextPageLink), _defineProperty(_itemTypeToComponent, _reactUltimatePagination.ITEM_TYPES.LAST_PAGE_LINK, LastPageLink), _itemTypeToComponent);

var UltimatePaginationBasic = (0, _reactUltimatePagination.createUltimatePagination)({ itemTypeToComponent: itemTypeToComponent });

exports.default = UltimatePaginationBasic;